History

#1 - 01/23/2020 11:59 AM - Greg Shah

- Related to Feature #3816: table and table handle parameter options added

#2 - 01/23/2020 12:21 PM - Greg Shah

- Subject changed from testing and completion of runtime compatibility for table/table-handle parameter options to testing and completion of runtime

compatibility for table/table-handle/dataset/dataset-handle parameter options

The initial work was done as part of #3816.  All of those changes are in trunk.  As of trunk 11340, this is the status of the following table/table-handle

parameter options:

table/dataset parameter option

APPEND (full conversion, full runtime)

BIND (full conversion, partial runtime)

BY-REFERENCE (full conversion, partial runtime)

BY-VALUE (full conversion, partial runtime)

temp-table option

REFERENCE-ONLY (full conversion, full/restricted runtime)

The above runtime portions that are marked as partial need to be completed.  I do not have a specific list of features or issues to address.  Instead we

are going to use testcases to confirm compatibility with the 4GL.  We will resolve any problems and when all the testcases execute the same way as

the 4GL, without any issues, we will mark everything as runtime full and close this task.  The testcases:

the full test suite created as part of #3816 (These are in xfer.goldencode.com/opt/testcases/, see Writing 4GL Testcases)

testcases/uast/dataset/dataset_tt_params.p and testcases/uast/dataset/dataset_tt_params2.p

See UAST Testcases.

Constantin created these to cover variances of dataset/temp-table, dataset-handle/table-handle and by-reference/reference-only.

These 2 tests also cover (to some extent) how a DELETE OBJECT affects the passed argument.

The DELETE OBJECT testing should be expanded to cover combinations of BIND/REFERENCE-ONLY, too.

In addition, these tests should be expanded to cover BIND and BY-VALUE, both at the caller and callee.

We need to merge them into the "full test suite" instead of leaving them separate.
#3 - 01/23/2020 12:22 PM - Greg Shah

Constantin: Did I write up the part about the UAST testcases correctly?

Adrian: Does your buffer alias work have any relation?

All: What is the runtime restriction on REFERENCE-ONLY (why is it marked full/restricted instead of full)?

#4 - 01/23/2020 02:07 PM - Adrian Lungu

The buffer alias changes shouldn't affect any of the above. They are strictly regarding "proxying" any buffer parameter inside a procedure. While all in 

#4516-1 are about tables/datasets, the work on buffer alias is not related.

#5 - 01/24/2020 09:24 AM - Constantin Asofiei

Greg Shah wrote:

Constantin: Did I write up the part about the UAST testcases correctly?

 

Yes.

All: What is the runtime restriction on REFERENCE-ONLY (why is it marked full/restricted instead of full)?

 

I think is because of its usage in conjunction with BIND - which is not fully explored/implemented yet.

#6 - 06/09/2022 06:13 AM - Constantin Asofiei

An attempt at a fix for a OUTPUT TABLE tt1 BIND where tt1 is REFERENCE-ONLY is in 6129a/13936

#7 - 06/09/2022 12:40 PM - Constantin Asofiei

Another fix for OUTPUT DATASET-HANDLE ... BY-REFERENCE - copy directly the callee's dataset - is in 6129a/13937.

#8 - 04/14/2023 07:24 AM - Greg Shah

- Assignee set to Maciej Zieniuk

Marian: What work is needed to complete these tests?  What is the status of the existing tests for table/table-handle/dataset/dataset-handle

parameter options?

#9 - 06/16/2023 09:12 AM - Greg Shah

Marian: What work is needed to complete these tests?  What is the status of the existing tests for table/table-handle/dataset/dataset-handle
parameter options?

 

We need these tests so that we can finish this work.  What is the status?

#10 - 06/19/2023 09:10 AM - Marian Edu

Greg Shah wrote:

Marian: What work is needed to complete these tests?  What is the status of the existing tests for table/table-handle/dataset/dataset-handle

parameter options?

 

We need these tests so that we can finish this work.  What is the status?

 

Greg, I've confused this one with the other method resolution task we did work on. The tests are already 'translated' to ABLUnit and available in

tests/table/parameter and tests/dataset/parameter folders in testcases project. I can double check tomorrow if there is anything that looks like missing

but as far as I remember we did cover all cases I've could think of at the time.. this doesn't mean we've covered everything though :(

#11 - 09/13/2023 08:17 AM - Greg Shah

- Assignee changed from Maciej Zieniuk to Ovidiu Maxiniuc
